------------------------------------------------------------------------------------
--Name:  	Christmas2022
--Creator:	由剧情表现脚本编辑器生成
--Created:	2022-11-22
------------------------------------------------------------------------------------

local Player_1 = CppScriptMgr:AddSimplePlayer(45210, 86, 56, "", 0, 0)
Player_1:SetZoomPercent(90)
local Player_2 = CppScriptMgr:AddSimplePlayer(43087, 92, 62, "", 0, 0)
local Player_3 = CppScriptMgr:AddSimplePlayer(18410, 90, 56, "", 0, 0)
local Player_4 = CppScriptMgr:AddSimplePlayer(13230, 94, 56, "Bear Director", 0, 0)
Player_4:SetDir(7)
local Player_9 = CppScriptMgr:AddSimplePlayer(49137, 91, 111, "Bear Jim", 0, 0)
Player_9:SetDir(7)
local Player_5 = CppScriptMgr:AddSimplePlayer(49147, 95, 109, "Bear Tim", 0, 0)
Player_5:SetDir(7)
local Player_6 = CppScriptMgr:AddSimplePlayer(49157, 84, 103, "Bear Kim", 0, 0)
Player_6:SetDir(7)
local Player_7 = CppScriptMgr:AddSimplePlayer(49167, 98, 105, "Bear Sam", 0, 0)
Player_7:SetDir(7)
local Player_8 = CppScriptMgr:AddSimplePlayer(49177, 93, 101, "Bear Ben", 0, 0)
Player_8:SetDir(7)
local Player_11 = CppScriptMgr:AddSimplePlayer(43087, 89, 104, "", 0, 0)
Player_11:SetZoomPercent(50)
local Player_12 = CppScriptMgr:AddSimplePlayer(43087, 89, 100, "", 0, 0)
Player_12:SetZoomPercent(50)
local Player_10 = CppScriptMgr:AddSimplePlayer(1055907, 85, 100, "Krampus", 0, 0)
Player_10:SetHair(80, 1)
Player_10:SetDir(7)
Player_10:SetHide(1)
local npc_0 = CppScriptMgr:AddSimplePlayer(43087, 87, 106, "", 0, 0)
npc_0:SetZoomPercent(50)
local npc_1 = CppScriptMgr:AddSimplePlayer(43087, 90, 108, "", 0, 0)
npc_1:SetZoomPercent(50)
local npc_2 = CppScriptMgr:AddSimplePlayer(43087, 91, 103, "", 0, 0)
npc_2:SetZoomPercent(50)
local npc_3 = CppScriptMgr:AddSimplePlayer(43087, 96, 102, "", 0, 0)
npc_3:SetZoomPercent(50)
local npc_4 = CppScriptMgr:AddSimplePlayer(43087, 91, 99, "", 0, 0)
npc_4:SetZoomPercent(50)
local npc_5 = CppScriptMgr:AddSimplePlayer(43087, 85, 106, "", 0, 0)
npc_5:SetZoomPercent(50)
local npc_6 = CppScriptMgr:AddSimplePlayer(43087, 95, 107, "", 0, 0)
npc_6:SetZoomPercent(50)
local npc_7 = CppScriptMgr:AddSimplePlayer(43087, 92, 108, "", 0, 0)
npc_7:SetZoomPercent(50)
local npc_8 = CppScriptMgr:AddSimplePlayer(43087, 94, 103, "", 0, 0)
npc_8:SetZoomPercent(50)
local npc_9 = CppScriptMgr:AddSimplePlayer(43087, 88, 110, "", 0, 0)
npc_9:SetZoomPercent(50)
local Effect_1 = CppScriptMgr:AddEffect("FF07", 92, 62, 33, 1, 1, 1)
Effect_1:Scale(2, 2, 2)
local Effect_2 = CppScriptMgr:AddEffect("FF18", 92, 62, 33, 1, 1, 1)
Effect_2:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(110)
CppScriptMgr:SetViewPosByCell(84, 52)
CppScriptMgr:WaitMilSec(1840)
Player_4:Say("Santa Claus` Miracle Factory is about to go into operation!", 1000)
CppScriptMgr:WaitMilSec(2000)
Player_4:Say("Hope that you could finish delivery before Christmas.", 1000)
CppScriptMgr:WaitMilSec(1200)
MoveView(84, 52, 87, 102, 3, 33, 1000)
CppScriptMgr:WaitMilSec(460)
Player_9:Say("With the factory, we are more efficient now.#00", 1000)
CppScriptMgr:WaitMilSec(1300)
Player_8:Say("That`s for sure! We are all experienced workers!#00", 1000)
CppScriptMgr:WaitMilSec(1430)
Player_5:Say("I will be faster than you!#10", 1000)
CppScriptMgr:WaitMilSec(1270)
Player_6:Say("I bet you!#12", 1000)
CppScriptMgr:WaitMilSec(250)
CppScriptMgr:ShakeScrEffect(5)
local effect_0 = CppScriptMgr:AddEffect("zf2-e233", 85, 100, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(800)
Player_9:SetDir(3)
Player_10:SetHide(0)
CppScriptMgr:WaitMilSec(660)
Player_7:Say("I always run fast!#13", 1000)
Player_10:SetAction(160)
CppScriptMgr:WaitMilSec(1930)
Player_10:Say("This factory, along with these gifts, is disgusting!", 1000)
CppScriptMgr:WaitMilSec(1280)
Player_9:Say("#09", 1000)
Player_5:Say("#09", 1000)
Player_6:Say("#09", 1000)
Player_7:Say("#09", 1000)
CppScriptMgr:WaitMilSec(60)
Player_8:Say("#09", 1000)
CppScriptMgr:WaitMilSec(570)
Player_10:SetAction(160)
CppScriptMgr:WaitMilSec(110)
local Effect_4 = CppScriptMgr:AddEffect("KillerPattern", 89, 104, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(420)
Player_10:Say("Of all the disgusting things, Santa Claus is the worst!", 1000)
CppScriptMgr:WaitMilSec(1940)
Player_10:SetAction(160)
CppScriptMgr:WaitMilSec(680)
Player_10:Say("Go to hell! No one deserves the joy!", 1000)
npc_0:AddEffect("KillerPattern", 33)
npc_1:AddEffect("KillerPattern", 33)
npc_2:AddEffect("KillerPattern", 33)
npc_3:AddEffect("KillerPattern", 33)
npc_4:AddEffect("KillerPattern", 33)
npc_5:AddEffect("KillerPattern", 33)
npc_6:AddEffect("KillerPattern", 33)
npc_7:AddEffect("KillerPattern", 33)
npc_8:AddEffect("KillerPattern", 33)
npc_9:AddEffect("KillerPattern", 33)
CppScriptMgr:WaitMilSec(1080)
Player_9:Say("These gifts are ruined! What could we do?", 1000)
CppScriptMgr:WaitMilSec(1150)
Player_8:Say("Can anyone help us?", 1000)
CppScriptMgr:WaitMilSec(2570)